Get dataset data
curl --request GET \
--url https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"version": 1,
"generatedAt": "2026-08-25T08:00:00.000Z",
"resource": {
"kind": "dataset",
"id": 18,
"name": "Orders"
},
"fields": [
{
"key": "root[].amount",
"type": "number"
},
{
"key": "root[].customer.name",
"type": "string"
}
],
"data": [
{
"amount": 120,
"customer": {
"name": "Ada"
}
}
]
}{
"error": {
"code": "INVALID_FILTER",
"message": "One or more filters are not valid.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "API_KEY_INVALID",
"message": "The API key is not valid.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "API_KEY_SCOPE_REQUIRED",
"message": "The API key does not have the required permission.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "The requested resource was not found.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests were sent. Try again later.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Data API
Get dataset data
Read the current joined and transformed result for a dataset.
GET
/
api
/
v1
/
teams
/
{team_id}
/
datasets
/
{dataset_id}
/
data
Get dataset data
curl --request GET \
--url https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chartbrew.com/api/v1/teams/{team_id}/datasets/{dataset_id}/data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"version": 1,
"generatedAt": "2026-08-25T08:00:00.000Z",
"resource": {
"kind": "dataset",
"id": 18,
"name": "Orders"
},
"fields": [
{
"key": "root[].amount",
"type": "number"
},
{
"key": "root[].customer.name",
"type": "string"
}
],
"data": [
{
"amount": 120,
"customer": {
"name": "Ada"
}
}
]
}{
"error": {
"code": "INVALID_FILTER",
"message": "One or more filters are not valid.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "API_KEY_INVALID",
"message": "The API key is not valid.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "API_KEY_SCOPE_REQUIRED",
"message": "The API key does not have the required permission.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "The requested resource was not found.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests were sent. Try again later.",
"requestId": "7a39da10-819c-4db4-9dcf-f27d48e3a7c0"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Returns the dataset result after source requests, joins, and dataset transformations. The result
keeps its array, object, scalar, or null shape.
Use
If-None-Match with the returned ETag to avoid downloading unchanged data.Authorizations
A database-bound Data API key created in Team settings. Session and share tokens are not accepted.
Headers
ETag from an earlier default GET.
Path Parameters
Positive team ID bound to the API key.
Required range:
x >= 1Positive dataset ID.
Required range:
x >= 1Response
Joined and transformed dataset data.
⌘I